Get Store ID
GET
/storesLists the `ACTIVE` stores in the token scope with their `ACTIVE` TPNs. Use `store_id` from here in the customer and invoice requests.
Header Parameters
token*
stringQuery Parameters
page
numbersize
numberGET/stores
1curl --location 'https://api.ipospays.tech/invoice-service/v1/stores?page=1&size=50' \
2--header 'token: '
Response
// Awaiting response…
Sample response
{
"data": {
"stores": [
{
"store_id": "2ea4ed13b8fc",
"dba": "PAYARC EMV Debit",
"address1": "103 MASON ST",
"address2": null,
"city": "Greenwich",
"state": "CT",
"zip_code": "06830",
"tpns": []
},
{
"store_id": "05cbaac8502f",
"dba": "SAIK",
"address1": "test",
"address2": null,
"city": "che",
"state": "TN",
"zip_code": "62171",
"tpns": [
"247525547632",
"247525766573",
"247525973625"
]
}
],
"pagination": {
"page": 1,
"size": 50,
"total": 2
}
},
"message": "Stores retrieved successfully",
"response_code": "SUCCESS",
"status_code": 200,
"request_id": "TEST-20261008184025-PPUUVT",
"timestamp": "2026-10-08T13:10:25.681Z"
}